<?php
/*
  $Id$
  add category - product thumbnail to listing

  KissIt Image 3.5.2

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

class hook_admin_siteWide_catKissIt {

  public $version = '3.5.2';

  function listen_injectSiteEnd() {
    global $action;

    if ($GLOBALS['PHP_SELF'] == 'categories.php') {
      $this->load_lang();

      $output = null;

      if ( !isset($action) || ($action != 'edit_category'  && $action != 'new_product'  && $action != 'new_product_preview') ) {

        $categories = $GLOBALS['categories_query']->data_seek(0);

        $header_title_thumb = HEADER_TITLE_IMAGE;

        $output .= <<<EOD
<script>
$(function() {
$('table:eq(0) thead tr th:nth-child(1)').before('<th>{$header_title_thumb}</th>');
EOD;

        $categories_root = !empty($_GET['cPath']) ? $_GET['cPath'] . '_' : '';
        while ( $categories = $GLOBALS['categories_query']->fetch_assoc() ) {

          $c_id_selector = $categories_root .  $categories['categories_id'];
          if ( !empty($categories['categories_image']) ) {
            $categories_thumb = tep_info_image($categories['categories_image'], $categories['categories_name'], '50', '50');
          } else {
            $categories_thumb = '';
          }
          $output .=  PHP_EOL . <<<EOD
$('table tbody td:has([href$="cPath={$c_id_selector}"])').parent().find('th').before('<th>{$categories_thumb}</th>');
EOD;
        }

        $products = $GLOBALS['products_query']->data_seek(0);

        while ( $products = $GLOBALS['products_query']->fetch_assoc() )  {

          $products_id = $products['products_id'];
          if ( !empty($products['products_image']) ) {
            $products_thumb = tep_info_image($products['products_image'], $products['products_name'], '50', '50');
          } else {
            $products_thumb = '';
          }

          $output .=  PHP_EOL . <<<EOD
$('table tbody td:has([href*="pID={$products_id}&"])').parent().find('th').not('.pname').addClass('pname').before('<th class="pname">{$products_thumb}</th>');
EOD;
        }

        $output .= <<<EOD
});
</script>
EOD;

        return $output;

      }

    }

  }

  function load_lang() {
    require(language::map_to_translation('/hooks/admin/siteWide/catKissIt.php'));
  }

}
